From 298386bed770ac951dcf02edb74ebbd88cbd2d03 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Martin=20Storsj=C3=B6?= <martin@martin.st>
Date: Mon, 17 Apr 2017 22:46:45 +0300
Subject: [PATCH] arm: Always unconditionally declare .arch armv7-a

We already unconditionally declare .fpu neon and try to build all the
neon codepaths (but only execute them conditionally based on a runtime
check).

This fixes builds targeting armv6, where the rbit instruction isn't
available. This instruction is only used within a neon function in
any case, so there's little point in emulating it.
---
 common/arm/asm.S | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/common/arm/asm.S b/common/arm/asm.S
index 62a5e57..ec5ef2c 100644
--- a/common/arm/asm.S
+++ b/common/arm/asm.S
@@ -28,14 +28,7 @@
 
 .syntax unified
 
-#if   HAVE_NEON
-        .arch           armv7-a
-#elif HAVE_ARMV6T2
-        .arch           armv6t2
-#elif HAVE_ARMV6
-        .arch           armv6
-#endif
-
+.arch armv7-a
 .fpu neon
 
 #ifdef PREFIX
-- 
2.1.4

